Ubuntu 16.04 2下使用fbterm 无法安装中文输入

系统字体配置、中文显示和输入法问题
回复
dddp
帖子: 22
注册时间: 2008-12-10 13:37
送出感谢: 0
接收感谢: 1 次

Ubuntu 16.04 2下使用fbterm 无法安装中文输入

#1

帖子 dddp » 2017-03-26 11:03

:Aadterboom :Aadterboom
按照一个14.04的设置来的。

sudo apt-get install fbterm im-config fcitx-frontend-fbterm ;;安装支持fbterm和输入法
sudo adduser username video ;;加video组并更改fbterm权限,username是你当前登录的用户名
sudo chmod u+s /usr/bin/fbterm ;; 为fbterm增加pt用户运行权利。
配置文件是 ~/.fbtermrc里面设置:
input-method=fcitx-fbterm


切换到fbterm控制台中文显示没问题了

但是但是,ctrl+space 不能切换输入法,提示 no suport
:Cry :Cry :Cry

:em09 :em09 :em09 谢谢大神设置成功了!!!
步骤如下:
tty1等字符端中文乱码解决,安装fbterm:

sudo apt-get install fbterm

sudo apt-get install fcitx fcitx-frontend-all fcitx-frontend-fbterm im-config
sudo adduser username video ;;加video组并更改fbterm权限,username是你当前登录的用户名
sudo setcap 'cap_sys_tty_config+ep' /usr/bin/fbterm ;;这句貌似和下面那句效果一样

sudo chmod u+s /usr/bin/fbterm ;; 为fbterm增加pt用户运行权利。
字体的配置文件是 ~/.fbtermrc

默认字体名字是mono,大小是12,自己去改吧,建议24
里面还可以改输入法
input-method=fcitx-fbterm

这样进入fcitx-fbterm-helper -l 来开启fbterm

我们没有做的:
1 , sudo setcap 'cap_sys_tty_config+ep' /usr/bin/fbterm 和sudo chmod u+s /usr/bin/fbterm 的效果一样,没见过这个命令 ,哪位告诉我我的判断对不对?
2 fcitx-fbterm-helper -l 这样启动fbterm
3, 设置完一定重新启动电脑
4,libpinyin 不是必须因为我的简体中文带有输入法如google拼音,所以你有的话不必安装libpinyin。
5, sogoupinyin_2.1.0.0082_amd64 输入法有bug ,16.04在里面乱码,16.10直接崩溃。建议装个google拼音可破
上次由 dddp 在 2017-03-27 17:36,总共编辑 2 次。
poloshiao
论坛版主
帖子: 18245
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1948 次

Re: Ubuntu 16.04 2下使用fbterm 无法安装中文输入

#2

帖子 poloshiao » 2017-03-26 11:39

http://www.renn999.cc/archives/926/#.WNc3K0f_TSw
Ubuntu 16.04 tty FBTerm 取代
ctrl+space 不能切换输入法,提示 no suport
你有安裝輸入法嗎 ?
例如
fcitx-libpinyin
dddp
帖子: 22
注册时间: 2008-12-10 13:37
送出感谢: 0
接收感谢: 1 次

Re: Ubuntu 16.04 2下使用fbterm 无法安装中文输入

#3

帖子 dddp » 2017-03-26 17:58

|/ 错误?=(无)/须重装(R) (状态,错误:大写=故障)
||/ 名称 版本 体系结构: 描述
+++-==============-============-============-=================================
ii fcitx-bin 1:4.2.9.1-1u amd64 Flexible Input Method Framework -
ii fcitx-config-c 0.4.8-3 all graphic Fcitx configuration tool
ii fcitx-config-g 0.4.8-3 amd64 graphic Fcitx configuration tool
ii fcitx-data 1:4.2.9.1-1u all Flexible Input Method Framework -
ii fcitx-frontend 1:4.2.9.1-1u all Flexible Input Method Framework -
ii fcitx-frontend 0.2.0-2 amd64 Flexible Input Method Framework -
ii fcitx-frontend 1:4.2.9.1-1u amd64 Flexible Input Method Framework -
ii fcitx-frontend 1:4.2.9.1-1u amd64 Flexible Input Method Framework -
ii fcitx-frontend 1:4.2.9.1-1u amd64 Flexible Input Method Framework -
ii fcitx-frontend 1.0.5-1 amd64 Free Chinese Input Toy of X - Qt5
un fcitx-googlepi <无> <无> (无可用描述)
un fcitx-hangul <无> <无> (无可用描述)
un fcitx-keyboard <无> <无> (无可用描述)
ii fcitx-libs 1:4.2.9.1-1u all transitional dummy package
ii fcitx-libs-gcl 1:4.2.9.1-1u all transitional dummy package
ii fcitx-libs-qt 1:4.2.9.1-1u all transitional dummy package
un fcitx-libs-qt5 <无> <无> (无可用描述)
un fcitx-m17n <无> <无> (无可用描述)
ii fcitx-module-c 0.3.4-3 amd64 Flexible Input Method Framework -
ii fcitx-module-d 1:4.2.9.1-1u amd64 Flexible Input Method Framework -
ii fcitx-module-k 1:4.2.9.1-1u amd64 Flexible Input Method Framework -
ii fcitx-module-l 1:4.2.9.1-1u amd64 Flexible Input Method Framework -
un fcitx-module-q <无> <无> (无可用描述)
ii fcitx-module-x 1:4.2.9.1-1u amd64 Flexible Input Method Framework -
ii fcitx-modules 1:4.2.9.1-1u amd64 Flexible Input Method Framework -
un fcitx-modules- <无> <无> (无可用描述)
ii fcitx-pinyin 1:4.2.9.1-1u amd64 Flexible Input Method Framework -
un fcitx-qimpanel <无> <无> (无可用描述)
ii fcitx-sunpinyi 0.4.1-2build amd64 fcitx wrapper for Sunpinyin IM en
ii fcitx-table 1:4.2.9.1-1u amd64 Flexible Input Method Framework -
un fcitx-table-al <无> <无> (无可用描述)
un fcitx-table-wb <无> <无> (无可用描述)
ii fcitx-table-wu 1:4.2.9.1-1u all Flexible Input Method Framework -
un fcitx-tools <无> <无> (无可用描述)
ii fcitx-ui-class 1:4.2.9.1-1u amd64 Flexible Input Method Framework -
un fcitx-ui-kimpa <无> <无> (无可用描述)
un fcitx-ui-light <无> <无> (无可用描述)
ii fcitx-ui-qimpa 2.1.2-1 amd64 Flexible Input Method Framework -
un fcitx-unikey <无> <无> (无可用描述)

这是我装的和没装的fictx开头的所有包,老兄帮我看看差哪了
谢谢
dddp
帖子: 22
注册时间: 2008-12-10 13:37
送出感谢: 0
接收感谢: 1 次

Re: Ubuntu 16.04 2下使用fbterm 无法安装中文输入

#4

帖子 dddp » 2017-03-26 18:00

un fcitx-googlepinyin <无> <无> (无可用描述)
un fcitx-hangul <无> <无> (无可用描述)
un fcitx-keyboard <无> <无> (无可用描述)
un fcitx-libs-qt5 <无> <无> (无可用描述)
un fcitx-m17n <无> <无> (无可用描述)
un fcitx-module-quickphrase-editor <无> <无> (无可用描述)
un fcitx-modules-x11 <无> <无> (无可用描述)
un fcitx-qimpanel-configtool <无> <无> (无可用描述)
un fcitx-table-all <无> <无> (无可用描述)
un fcitx-table-wbpy <无> <无> (无可用描述)
un fcitx-tools <无> <无> (无可用描述)
un fcitx-ui-kimpanel <无> <无> (无可用描述)
un fcitx-ui-light <无> <无> (无可用描述)
un fcitx-unikey <无> <无> (无可用描述)
这些时没装的包,我在图形界面有搜狗 和系统带的拼音和双拼,图形界面运行良好。
poloshiao
论坛版主
帖子: 18245
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1948 次

Re: Ubuntu 16.04 2下使用fbterm 无法安装中文输入

#5

帖子 poloshiao » 2017-03-26 19:43

这是我装的和没装的fictx开头的所有包
1. 有沒有 fcitx 套件 ?
http://packages.ubuntu.com/xenial/fcitx
套件: fcitx (1:4.2.9.1-1ubuntu1)

2. 有沒有 fcitx-libpinyin 套件 ?
http://packages.ubuntu.com/xenial/fcitx-libpinyin
套件: fcitx-libpinyin (0.3.3-2) [universe]
ii fcitx-frontend 1:4.2.9.1-1u all Flexible Input Method Framework -
ii fcitx-frontend 0.2.0-2 amd64 Flexible Input Method Framework -
ii fcitx-frontend 1:4.2.9.1-1u amd64 Flexible Input Method Framework -
ii fcitx-frontend 1:4.2.9.1-1u amd64 Flexible Input Method Framework -
ii fcitx-frontend 1:4.2.9.1-1u amd64 Flexible Input Method Framework -
ii fcitx-frontend 1.0.5-1 amd64 Free Chinese Input Toy of X - Qt5
3. 為何 fcitx-frontend 安裝了 6 次 ?
3-1. 其中 有同一個版本的 ?

4. 你要使用哪一種輸入法 ?

5. 登入 fbterm
5-1. 執行 locale 指令
5-2. 執行 im-config 指令
把結果或錯誤訊息 複製 貼上來
dddp
帖子: 22
注册时间: 2008-12-10 13:37
送出感谢: 0
接收感谢: 1 次

Re: Ubuntu 16.04 2下使用fbterm 无法安装中文输入

#6

帖子 dddp » 2017-03-27 7:25

怎么6次不详,分别是all,fbterm,gtk2,gtk3,qt4,qt5:amd34。
好像没fcitx-tools,和fcitx-mn*,
dddp
帖子: 22
注册时间: 2008-12-10 13:37
送出感谢: 0
接收感谢: 1 次

Re: Ubuntu 16.04 2下使用fbterm 无法安装中文输入

#7

帖子 dddp » 2017-03-27 7:28

baifeng@baifeng-GP62MVR-7RF:~$ locale
LANG=zh_CN.UTF-8
LANGUAGE=zh_CN:zh
LC_CTYPE="zh_CN.UTF-8"
LC_NUMERIC="zh_CN.UTF-8"
LC_TIME="zh_CN.UTF-8"
LC_COLLATE="zh_CN.UTF-8"
LC_MONETARY="zh_CN.UTF-8"
LC_MESSAGES="zh_CN.UTF-8"
LC_PAPER="zh_CN.UTF-8"
LC_NAME="zh_CN.UTF-8"
LC_ADDRESS="zh_CN.UTF-8"
LC_TELEPHONE="zh_CN.UTF-8"
LC_MEASUREMENT="zh_CN.UTF-8"
LC_IDENTIFICATION="zh_CN.UTF-8"
LC_ALL=


im-config

E: 必须安装whiptail
但是whiptail 是有的。
/ 错误?=(无)/须重装(R) (状态,错误:大写=故障)
||/ 名称 版本 体系结构: 描述
+++-================-=============-=============-======================================
ii whiptail 0.52.18-1ubun amd64 Displays user-friendly dialog boxes fr
dddp
帖子: 22
注册时间: 2008-12-10 13:37
送出感谢: 0
接收感谢: 1 次

Re: Ubuntu 16.04 2下使用fbterm 无法安装中文输入

#8

帖子 dddp » 2017-03-27 7:49

没有安装 fcitx-libpinyin
fcitx 包里
un fcitx-m17n <无> <无> (无可用描述)
un fcitx-tools <无> <无> (无可用描述)
un fcitx-ui-light <无> <无> (无可用描述)
这3个没有 安装,
要安装么?
头像
bcsflilong
帖子: 380
注册时间: 2010-07-24 15:18
系统: ubuntu 16.04.2_amd64
来自: 北京市昌平区昌盛路18号,中国电子科技园
送出感谢: 0
接收感谢: 2 次
联系:

Re: Ubuntu 16.04 2下使用fbterm 无法安装中文输入

#9

帖子 bcsflilong » 2017-03-27 9:33

我的之前可以 现在也不可以了
life's a struggle
poloshiao
论坛版主
帖子: 18245
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1948 次

Re: Ubuntu 16.04 2下使用fbterm 无法安装中文输入

#10

帖子 poloshiao » 2017-03-27 12:16

按照一个14.04的设置来的。
im-config
E: 必须安装whiptail
但是whiptail 是有的。
1. Ubuntu 14.04 im-config 依賴於 zenity, kde-baseapps-bin, dialog
1-1. http://packages.ubuntu.com/trusty/im-config
套件: im-config (0.24-1ubuntu4)
其他與 im-config 有關的套件
依賴
zenity
Display graphical dialog boxes from shell scripts
或者 kde-baseapps-bin
core binaries for the KDE base applications
或者 dialog
Displays user-friendly dialog boxes from shel

2. Ubuntu 16.04 im-config 依賴於 zenity, kde-baseapps-bin, whiptail
2-1. http://packages.ubuntu.com/xenial/im-config
套件: im-config (0.29-1ubuntu12)
其他與 im-config 有關的套件
依賴
zenity
Display graphical dialog boxes from shell scripts
或者 kde-baseapps-bin
core binaries for the KDE base applications
或者 whiptail
Displays user-friendly dialog boxes from shell scripts

3. 在 Ubuntu 16.04 套件 dialog 被移到 universe 套件庫 意思是 必須手動安裝 不會預裝
http://packages.ubuntu.com/trusty/dialog
套件: dialog (1.2-20130928-1)
http://packages.ubuntu.com/xenial/dialog
套件: dialog (1.3-20160209-1) [universe]
我装的和没装的fictx开头的所有包
4. 如果你是從 Ubuntu 14.04 直接升級到 Ubuntu 16.04
你的系統 可能混雜了 dialog 及 whiptail 的依賴關係
導致你已安裝的 fictx 有關套件 混亂

5. 建議 直接重新安裝 Ubuntu 16.04 / fbterm / fcitx
5-1. 安裝時 參照
5-1-1. https://fcitx-im.org/wiki/Fbterm
Let you use fcitx under fbterm
5-1-2. http://www.renn999.cc/archives/926/#.WNc3K0f_TSw
Ubuntu 16.04 tty FBTerm 取代
參照這一篇文章 如果有 TW 字樣 請改為 CN
5-1-3. http://srobb.net/jpninpt.html#fcitx-fbterm
fcitx-fbterm

6. 系統分割區內 如果有重要檔案 可以先備存
有需要時 再回存
dddp
帖子: 22
注册时间: 2008-12-10 13:37
送出感谢: 0
接收感谢: 1 次

Re: Ubuntu 16.04 2下使用fbterm 无法安装中文输入

#11

帖子 dddp » 2017-03-27 17:21

poloshiao 写了:
按照一个14.04的设置来的。
im-config
E: 必须安装whiptail
但是whiptail 是有的。
1. Ubuntu 14.04 im-config 依賴於 zenity, kde-baseapps-bin, dialog
1-1. http://packages.ubuntu.com/trusty/im-config
套件: im-config (0.24-1ubuntu4)
其他與 im-config 有關的套件
依賴
zenity
Display graphical dialog boxes from shell scripts
或者 kde-baseapps-bin
core binaries for the KDE base applications
或者 dialog
Displays user-friendly dialog boxes from shel

2. Ubuntu 16.04 im-config 依賴於 zenity, kde-baseapps-bin, whiptail
2-1. http://packages.ubuntu.com/xenial/im-config
套件: im-config (0.29-1ubuntu12)
其他與 im-config 有關的套件
依賴
zenity
Display graphical dialog boxes from shell scripts
或者 kde-baseapps-bin
core binaries for the KDE base applications
或者 whiptail
Displays user-friendly dialog boxes from shell scripts

3. 在 Ubuntu 16.04 套件 dialog 被移到 universe 套件庫 意思是 必須手動安裝 不會預裝
http://packages.ubuntu.com/trusty/dialog
套件: dialog (1.2-20130928-1)
http://packages.ubuntu.com/xenial/dialog
套件: dialog (1.3-20160209-1) [universe]
我装的和没装的fictx开头的所有包
4. 如果你是從 Ubuntu 14.04 直接升級到 Ubuntu 16.04
你的系統 可能混雜了 dialog 及 whiptail 的依賴關係
導致你已安裝的 fictx 有關套件 混亂

5. 建議 直接重新安裝 Ubuntu 16.04 / fbterm / fcitx
5-1. 安裝時 參照
5-1-1. https://fcitx-im.org/wiki/Fbterm
Let you use fcitx under fbterm
5-1-2. http://www.renn999.cc/archives/926/#.WNc3K0f_TSw
Ubuntu 16.04 tty FBTerm 取代
參照這一篇文章 如果有 TW 字樣 請改為 CN
5-1-3. http://srobb.net/jpninpt.html#fcitx-fbterm
fcitx-fbterm

6. 系統分割區內 如果有重要檔案 可以先備存
有需要時 再回存
谢谢 参考老伯笔记 成功了 谢谢 :Smile :Smile :Smile
我是原生16。04 2 ,没有重装
回复

回到 “字体美化和中文支持”